org.apache.http.client.params

## Class ClientParamBean

- java.lang.Object
- - org.apache.http.params.HttpAbstractParamBean
  - - org.apache.http.client.params.ClientParamBean

- 已过时。
  （4.3）使用`RequestConfig` 。

      @Deprecated
      public class ClientParamBean
      extends HttpAbstractParamBean

  这是一个Java Bean类，可用于包装`HttpParams`的实例，并使用Java Beans约定来处理HTTP客户端参数。
  从以下版本开始：
    4

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.params.HttpAbstractParamBean

      `params`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `ClientParamBean(HttpParams params)` 已过时。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setAllowCircularRedirects(boolean allow)` 已过时。
    `void` | `setConnectionManagerFactoryClassName(String factory)` 已过时。 （4.2）不要使用。
    `void` | `setConnectionManagerTimeout(long timeout)` 已过时。
    `void` | `setCookiePolicy(String policy)` 已过时。
    `void` | `setDefaultHeaders(Collection<Header> headers)` 已过时。
    `void` | `setDefaultHost(HttpHost host)` 已过时。
    `void` | `setHandleAuthentication(boolean handle)` 已过时。
    `void` | `setHandleRedirects(boolean handle)` 已过时。
    `void` | `setMaxRedirects(int maxRedirects)` 已过时。
    `void` | `setRejectRelativeRedirect(boolean reject)` 已过时。
    `void` | `setVirtualHost(HttpHost host)` 已过时。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 构造方法详细信息

    - #### ClientParamBean

          public ClientParamBean(HttpParams params)

      已过时。

  - ### 方法详细信息

    - #### setConnectionManagerFactoryClassName

          @Deprecated
          public void setConnectionManagerFactoryClassName(String factory)

      已过时。 （4.2）不要使用。

    - #### setHandleRedirects

          public void setHandleRedirects(boolean handle)

      已过时。

    - #### setRejectRelativeRedirect

          public void setRejectRelativeRedirect(boolean reject)

      已过时。

    - #### setMaxRedirects

          public void setMaxRedirects(int maxRedirects)

      已过时。

    - #### setAllowCircularRedirects

          public void setAllowCircularRedirects(boolean allow)

      已过时。

    - #### setHandleAuthentication

          public void setHandleAuthentication(boolean handle)

      已过时。

    - #### setCookiePolicy

          public void setCookiePolicy(String policy)

      已过时。

    - #### setVirtualHost

          public void setVirtualHost(HttpHost host)

      已过时。

    - #### setDefaultHeaders

          public void setDefaultHeaders(Collection<Header> headers)

      已过时。

    - #### setDefaultHost

          public void setDefaultHost(HttpHost host)

      已过时。

    - #### setConnectionManagerTimeout

          public void setConnectionManagerTimeout(long timeout)

      已过时。
      从以下版本开始：
        4.2

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585